StyleGuard Technical Requirements

StyleGuard by Equiom Labs

StyleGuard plug in

StyleGuard PC System Requirements

  • Microsoft Windows XP or Greater
  • Microsoft Office 2007, 2010 or 2013
  • Internet Connection

StyleGuard for the Mac System Requirements

  • 10.6 (Snow Leopard)
  • 10.7 (Lion)
  • 10.8 (Mountain Lion)
  • Office for Mac 2011
  • Safari 5.17 or above
  • Internet Connection
All contents © copyright 2014 Associated Press. All rights reserved.